<template>
  <div class="about-container">
    <b-columns is-multiline>
      <b-column class="title-container is-12-mobile is-3">
        <h2 class="title is-2">
          ACERCA DE LA AGENCIA
        </h2>
      </b-column>
      <b-column class="is-12-mobile">
        <img
          class="about-model"
          src="/images/about.png"
          alt="about"
        >
      </b-column>
      <b-column class="text-container is-12-mobile">
        <p class="content acent">
          The fashion of today is a multi-dimensional, subjective thing…
        </p>
        <p class="content">
          In the time of the Internet and all the modern technologies,
           the creativity boomed significantly,
           allowing for an unseen-before kind of a collaboration
           and mix of miscellaneous fashion styles in one collection.
        </p>
        <p class="content">
          This is exactly what our women’s and men’s clothing brand is all about
           – combining the best of what can be seen on the catwalks of the globe
           and mixing it all into our very own unique style!
        </p>
        <p class="content acent">
          Also, we’re incredibly proud to have a lineup of talented,
           creative and tasteful fashion designers at our service,
           all of whom you can read about below!
        </p>
      </b-column>
    </b-columns>
  </div>
</template>

<script>
export default {
  name: 'TheAbout'
}
</script>

<style scoped>
  .about-container {
    padding-top: 1rem;
  }

  .columns {
    margin: 0;
    padding: 0;
  }

  h2.title.is-2 {
    font-style: normal;
    font-weight: 400;
    font-size: 2rem;
    line-height: 1.2;
    font-family: Dosis, sans-serif;
    letter-spacing: 0.03em;
    text-align: inherit;
    color: #212121;
    padding-bottom: 1rem;
    margin-bottom: 1rem;
    border-bottom: solid 4px #ddb0b7;
    text-align: center;
  }

  .about-model {
    width: 100%;
    height: auto;
    margin: 0;
    border: none;
    padding: 0;
    background: none;
    border-radius: 0;
  }

  .text-container {
    padding: 1rem 1.5rem;
  }

  p.content {
    font-family: Dosis, sans-serif;
  }

  p.content.acent {
    font-style: normal;
    font-weight: 400;
    line-height: 1.7;
    letter-spacing: 0.02em;
    text-align: inherit;
    color: #212121;
  }

  @media screen and (min-width: 769px){
    .text-container {
      display: flex;
      justify-content: center;
      flex-direction: column;
    }

    .title-container {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    h2.title.is-2 {
      text-align: right;
    }
  }
</style>
